'Compileroption "-s gui"
#include "sGUI\sGUI.bas"
#include once "sGUI\MultiLineEditBox.bas"

screen 18,32,,&H04
InitGFX

dim as EventHandle ptr event
event=CreateEventHandle

dim as Gadget ptr textedit
textedit=AddMultiLineEditBox(event,10,10,60,20,1)

GadgetOn (textedit)

'TO_LoadText(textedit,"Demo_MultiLineEditBox.bas")  'aus Datei
TO_SetText (textedit,"Test||das war eine Leerzeile|;)","|")'aus einem String mit selbst definierten Trenner

UpdateGadget(textedit)
do
  event->xSleep(1)
loop until event->EXITEVENT
TO_SaveText(textedit,"editierterText.txt")

DestroyEventHandle (event)
end

/'
function AddMultiLineEditBox (event as EventHandle ptr,x as integer,y as integer,c as integer,lines as integer,mode as integer=0) as Gadget ptr
event   ein Zeiger zu einem EventHandle
x       Position in px
y       Position in px
c       Breite der Box in Zeichen(8px pro Zeichen)
lines   Höhe der Box in Anzahl der Zeilen
mode    optional, voreingestellt 0=Editormodus 1=Textviewmodus



function TO_LoadText (gad as _Gadget ptr,s as string,linebreak as string=chr(13,10)) as integer
läd einen Text in ein TextObjekt aus einer Datei
gad         Zeiger auf ein Control
s           Dateiname einer zu ladenen Datei
linebreak   optional, falls Datei einen anderen oder selbst definierten Zeilenumbruch hat, hier angeben



function TO_SetText (gad as _Gadget ptr,s as string,linebreak as string=chr(13,10)) as integer
läd einen Text in ein TextObjekt aus einem String
gad         Zeiger auf ein Control
s           String
linebreak   optional, falls String einen anderen oder selbst definierten Zeilenumbruch hat, hier angeben



sub UpdateGadget(gad as _Gadget ptr)
nach Manipultionen des TextObjektes von "aussen" durch TO_Befehle muß immer ein Update erfolgen
gad         Zeiger auf ein Control



weitere Manipulationen mit GadgetOn,GadgetOff,GadgetSleep bzw alle TO_-Befehle/Funktionen

'/

